curl --request GET \
--url https://api.openxswitch.com/v2/swap/transactions/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openxswitch.com/v2/swap/transactions/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openxswitch.com/v2/swap/transactions/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "66a12b3c4d5e6f7a8b9c0d1e",
"idempotencyKey": "idemp_swap_xyz789",
"refId": "ref_swap_98765",
"from": {
"token": "USDC",
"chain": "arbitrum",
"decimal": 6,
"contractAddress": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"amount": "5600.10",
"amountInUsd": "5600.10"
},
"to": {
"token": "USDC",
"chain": "arbitrum",
"decimal": 6,
"contractAddress": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"amount": "5600.10",
"amountInUsd": "5600.10"
},
"amountType": "exactInput",
"fillTime": 45,
"expiryTimestamp": 1784660000,
"slippage": "0.5",
"environment": "testnet",
"status": "pending",
"txHash": "0x9a8b7c6d5e4f3a2b1c0d9e8f7a6b5c4d3e2f1a0b",
"hashOut": "0x1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6d7e8f9a0b",
"fee": {
"token": "USDC",
"chain": "arbitrum",
"decimal": 6,
"contractAddress": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"amount": "5600.10",
"amountInUsd": "5600.10"
},
"bridgeFee": {
"token": "USDC",
"chain": "arbitrum",
"decimal": 6,
"contractAddress": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"amount": "5600.10",
"amountInUsd": "5600.10"
},
"triggerOrigin": "API",
"transactionGroupId": "grp_swap_123456",
"createdAt": "2026-07-21T18:40:00.000Z",
"updatedAt": "2026-07-21T18:47:21.000Z",
"confirmedAt": "2026-07-21T18:47:21.000Z",
"userId": "USER_ID",
"walletId": "WALLET_ID",
"accountId": "ACCOUNT_ID",
"workspaceId": "WORKSPACE_ID"
}
],
"totalPage": 123,
"pageNo": 123,
"pageLimit": 123
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}List Swap Transactions
Retrieve a paginated list of swap transactions with optional filters for account, wallet, users, blockchain, status, and tokens.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The unique identifier of the transaction
"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4"
The unique identifier of the wallet
"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4"
The unique identifier of the user
"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4"
The unique identifier of the account
"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4"
The transaction hash
"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4"
The status of the transaction
"ethereum"
The amount of the origin token
1
The origin token
"ethereum"
The origin chain
"ethereum"
The destination token
"ethereum"
The destination chain
"ethereum"
The destination address
"0x123"
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)